FBSETBG(1)

NAME
fbsetbg - set a background/wallpaper

SYNOPSIS
fbsetbg [-fctaFCTA wallpaper] [-uU wallpapersetter] [-bB fbsetrootoptions ...] [-rR path] [-l]

DESCRIPTION
fbsetbg is a wrapper that tries to find a suitable background-setting app and then tries to set the wallpaper using that app. You don't have to configure fbsetbg. It just uses the first app it can find.

Furthermore it supports remembering the last set wallpaper so you don't have to edit the style or init-file to change the wallpaper.

It aims to provide clear error messages in a window that make debugging problems easy.

OPTIONS

-f file
    Set fullscreen wallpaper.

-c file
    Set centered wallpaper.

-t file
    Set tiled wallpaper.

-a file
    Set maximized wallpaper, preserving aspect (if your bgsetter doesn't support this option fbsetbg falls back to -f ).

-u wallpapersetter
    Use specified wallpapersetter, use no argument to forget.

-b fbsetrootoptions
    Forward the options to fbsetroot.

-r directory
    Set random wallpaper from a directory.

-F, -C, -T, -A, -U, -B, -R
    Same as the uncapsed option but without remembering.

-l  Set previous wallpaper. Or, if the random feature was last used, set another random wallpaper from the same directory.

-i  Display usefull information about best wallpapersetter found.

-p  Display some usefull tips.

-h  Display a help message.

FILES
~/.fluxbox/lastwallpaper
In this file the wallpaper you set will be stored, for the -l option.

ENVIRONMENT VARIABLES

wpsetters Wallpapersetters to use.

DISPLAY The display you want to set the wallpaper on.

EXAMPLES

To use feh as wallpapersetter and set wallpapper.jpg from the current directory as wallpaper.

    $ wpsetters=feh fbsetbg wallpaper.jpg

Recall the last set wallpaper on display :0.0 with the stored options.

    $ DISPLAY=:0.0 fbsetbg -l

SEE ALSO
fbsetroot(1), fluxbox(1)

ONLINE DOCUMENTATION:
Much more extensive documentation for fbsetbg is provided on: http://www.xs4all.nl/~hanb/software/fbsetbg/fbsetbg.html

BUGS
fbsetbg is not foolproof.

AUTHOR
The author of fbsetbg is Han Boetes <han@fluxbox.org>